Package Base Details: samsung-unified-driver

Git Clone URL: https://aur.archlinux.org/samsung-unified-driver.git (read-only)
Submitter: ptb
Maintainer: christoph.gysin
Last Packager: christoph.gysin
Votes: 194
Popularity: 0.783979
First Submitted: 2010-12-06 00:01
Last Updated: 2018-12-09 18:16

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

christoph.gysin commented on 2017-08-04 17:43

@radar_wiekszy: Interesting! It seems that rastertospl has indeed hardcoded paths:

$ strings /usr/lib/cups/filter/rastertospl | grep /opt
/opt/smfp-common/printer/lib
/opt/smfp-common/printer/lib

What does the samsung provided package install in that folder?

radar_wiekszy commented on 2017-08-03 22:50

@k3a

My scx-3405w also printed black pages, and rastertospl also crashed with similar error message. Installation from Samsung-provided packages solved the problem, but then I moved rastertospl around a bit, and apparently it crashes when placed in /usr/lib/cups/filter, but if it's a symlink pointing to /opt/smfp-common/printer/bin/rastertospl - no crashes. Same file. Hardcoded paths, maybe?

k3a commented on 2017-05-28 20:58

rastertospl was crashing on a free function (free(): invalid next size (fast): 0x0000000002286d80) + ML-2160 printer printed fully black sheets.

Surprisingly installing the driver from the vendor-provided tar (not a newer version), without making an Arch package resulted in a working installation. Strange.

Moo-Crumpus commented on 2017-03-10 12:07

@christoph.gysin I found out it installs well with yaourt, but fails with the help of packer.

christoph.gysin commented on 2017-03-04 10:17

@Moo-Crumpus: I can't reproduce this. Also, I'm not sure what the error message means. Could you reproduce this with non-translated error messages? Try running it with LC_ALL=C pacman ...

Moo-Crumpus commented on 2017-03-04 08:09

Does not work.

packer -S samsung-unified-driver
...
==> Verlasse fakeroot Umgebung.
==> Beendete Erstellung: samsung-unified-driver 1.00.37-3 (Sa 4. Mär 09:07:20 CET 2017)
Lade Pakete...
Warnung: samsung-unified-driver-common-1.00.37-3 ist aktuell -- Reinstalliere
Warnung: samsung-unified-driver-printer-1.00.37-3 ist aktuell -- Reinstalliere
Warnung: samsung-unified-driver-scanner-1.00.37-3 ist aktuell -- Reinstalliere
Warnung: samsung-unified-driver-1.00.37-3 ist aktuell -- Reinstalliere
Fehler: 'samsung-unified-driver-common-1.00.37-3-x86_64.pkg.tar.xz': Doppelte Ziele
Fehler: 'samsung-unified-driver-printer-1.00.37-3-x86_64.pkg.tar.xz': Doppelte Ziele
Fehler: 'samsung-unified-driver-scanner-1.00.37-3-x86_64.pkg.tar.xz': Doppelte Ziele

christoph.gysin commented on 2017-02-09 13:08

@mmozeiko: Done, sorry about that. pkgrel update got lost during git rebase.

mmozeiko commented on 2017-02-08 20:20

Can you please increase pkgrel number? So we automatically get newer package version after your changes to PKGBUILD.

christoph.gysin commented on 2017-01-24 19:54

Thanks, the OEM_FILE should now get installed as well.

maxime1986 commented on 2016-12-17 15:28

I can confirm what nicoulaj said, I had to add the following lines in the PKGBUILD to make scanimage detect my M2070 :

mkdir -p "$pkgdir"/opt/samsung/scanner/share/
cp $OEM_FILE "$pkgdir"/opt/samsung/scanner/share/